<?php

$year = $_POST['year'];
$month = $_POST['month'];
$day = $_POST['day'];
$img = $_POST['img'];

unlink( "img_full/{$year}/{$month}/{$day}/f{$img}" );
unlink( "img_med/{$year}/{$month}/{$day}/m{$img}" );
unlink( "img_thu/{$year}/{$month}/{$day}/t{$img}" );

define("USER_ID", 1);
define("POST_ID", 1);

require_once("db.php");
$dbh = db_connect();

try{
   $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
   $sql = "DELETE FROM img_data WHERE user_id = :user_id AND post_id = :post_id AND img = :img";
   $stmt = $dbh->prepare($sql);
   $stmt->bindValue(':user_id',USER_ID);
   $stmt->bindValue(':post_id', POST_ID);
   $stmt->bindValue(':img',$img);
   $stmt->execute();

}catch (PDOException $e){
   print('Error:'.$e->getMessage());
   die();
}

?>