<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <title>SumidaiNET</title>
</head>
<body>


<?php

$array_count = count($_POST['text']);

if($array_count > 5){
echo "5つまでです。";
exit;
}

define('IMAGES_DIR', dirname($_SERVER['SCRIPT_FILENAME']).'/');
define('MIDDLE_WIDTH', 200);
define('THUMBNAIL_WIDTH', 72);
//define('MAX_FILE_SIZE', 30720000); // 300KB = 1KB/1024bytes * 300

error_reporting(E_ALL & ~E_NOTICE);


//保存先フォルダの作成
$img_full = "img_full/".date("Y")."/".date("m")."/".date("d");
$img_med = "img_med/".date("Y")."/".date("m")."/".date("d");
$img_thu = "img_thu/".date("Y")."/".date("m")."/".date("d");

umask(0);  //0022回避

if(!file_exists($img_full)){
  mkdir( $img_full, 0777, TRUE );
}

if(!file_exists($img_med)){
  mkdir( $img_med, 0777, TRUE );
}

if(!file_exists($img_thu)){
  mkdir( $img_thu, 0777, TRUE );
}


//エラー確認・バリテーション(サイズ)・ファイル形式
for($i=0; $i<$array_count; $i++)
{
  if ($_FILES['img']['error'][$i] != UPLOAD_ERR_OK && $_FILES['img']['error'][$i] !=4) {
    echo "エラーが発生しました : ".$_FILES['img']['error'][$i] . "<br>";
  }

  if ($_FILES['img']['error'][$i]===2) {
    echo $_FILES['img']['name'][$i]." のファイルサイズが大きすぎます！<br>";
  }
}

//エラーありの場合処理を止める。
for($i=0; $i<$array_count; $i++)
{
  if ($_FILES['img']['error'][$i] != UPLOAD_ERR_OK && $_FILES['img']['error'][$i] !=4) {
    exit;
  }
}

for($i=0; $i<$array_count; $i++)
{
if(!empty($_FILES['img']['name'][$i]) ){

  $imagesize[$i] = getimagesize($_FILES['img']['tmp_name'][$i]);

  switch($imagesize[$i]['mime']){
    case 'image/gif':
        $ext[$i] = '.gif';
        break;
    case 'image/jpeg':
        $ext[$i] = '.jpg';
        break;
    case 'image/png':
        $ext[$i] = '.png';
        break;
    default:
        echo $_FILES['img']['name'][$i]."は画像ファイル(GIF/JPEG/PNG) ではありません!!<br>";
       $ext[$i] = 0;
    }
}
}

//ファイル形式が異なる場合処理を止める
for($i=0; $i<$array_count; $i++)
{
  if ($ext[$i] === 0) {
    exit;
  }
}


for($i=0; $i<$array_count; $i++)
{

if(!empty($_FILES['img']['name'][$i]) ){

  $imageFileName[$i] = sha1(time().mt_rand()) . $ext[$i];

  $imageFilePath[$i] = IMAGES_DIR. $img_full . '/f' . $imageFileName[$i];   //fullサイズリネイム

  echo $imageFilePath[$i]; //フルパス

  $rs[$i] = move_uploaded_file($_FILES['img']['tmp_name'][$i], $imageFilePath[$i]);

  if (!$rs[$i]) {
     echo 'no'. $i . 'could not upload!';
    exit;
  } 

  $width = $imagesize[$i][0];
  $height = $imagesize[$i][1];


  //MIDDLE画像を作成、保存

  if ($width > MIDEEL_WIDTH) {
    // 元ファイルを画像タイプによって作る
    switch($imagesize[$i]['mime']){
    case 'image/gif':
        $srcImage[$i] = imagecreatefromgif($imageFilePath[$i]);
        break;
    case 'image/jpeg':
        $srcImage[$i] = imagecreatefromjpeg($imageFilePath[$i]);
        break;
    case 'image/png':
        $srcImage[$i] = imagecreatefrompng($imageFilePath[$i]);
        break;
    }

    // 新しいサイズを作る
    $middleHeight[$i] = round($height * MIDDLE_WIDTH / $width);

    // 縮小画像を生成
    $middleImage[$i] = imagecreatetruecolor(MIDDLE_WIDTH, $middleHeight[$i]);
    imagecopyresampled($middleImage[$i], $srcImage[$i], 0, 0, 0, 0, 200, $middleHeight[$i], $width, $height);
    
    // 縮小画像を保存する
    switch($imagesize[$i]['mime']){
    case 'image/gif':
        imagegif($middleImage[$i], IMAGES_DIR. $img_med .'/m'.$imageFileName[$i]);  //fullサイズリネイム
        break;
    case 'image/jpeg':
        imagejpeg($middleImage[$i], IMAGES_DIR. $img_med .'/m'.$imageFileName[$i]);
        break;
    case 'image/png':
        imagepng($middleImage[$i], IMAGES_DIR. $img_med .'/m'.$imageFileName[$i]);
        break;
    }

  } //if MIDDLE



  //サルネイム
  if (MIDDLE_WIDTH > THUMBNAIL_WIDTH) {
    // 元ファイルを画像タイプによって作る
    switch($imagesize[$i]['mime']){
    case 'image/gif':
        $srcImage[$i] = imagecreatefromgif($imageFilePath[$i]);
        break;
    case 'image/jpeg':
        $srcImage[$i] = imagecreatefromjpeg($imageFilePath[$i]);
        break;
    case 'image/png':
        $srcImage[$i] = imagecreatefrompng($imageFilePath[$i]);
        break;
    }
    // 新しいサイズを作る
    $thumbHeight[$i] = round($height * THUMBNAIL_WIDTH / $width);

    // 縮小画像を生成
    $thumbImage[$i] = imagecreatetruecolor(THUMBNAIL_WIDTH, $thumbHeight[$i]);
    imagecopyresampled($thumbImage[$i], $srcImage[$i], 0, 0, 0, 0, 72, $thumbHeight[$i], $width, $height);
    
    // 縮小画像を保存する
    switch($imagesize[$i]['mime']){
    case 'image/gif':
        imagegif($thumbImage[$i], IMAGES_DIR. $img_thu .'/t'.$imageFileName[$i]);  //tサイズリネイム
        break;
    case 'image/jpeg':
        imagejpeg($thumbImage[$i], IMAGES_DIR. $img_thu .'/t'.$imageFileName[$i]);
        break;
    case 'image/png':
        imagepng($thumbImage[$i], IMAGES_DIR. $img_thu .'/t'.$imageFileName[$i]);
        break;
    }

 } //if サルネイム

}
}

//データベースへの更新

define("USER_ID", 1);
define("POST_ID", 1);

require_once("db.php");
$dbh = db_connect();


try{

for($i=0; $i<$array_count; $i++)
{
   $sql = "UPDATE img_data SET text= :text WHERE user_id = :user_id AND post_id = :post_id AND ID = :ID";
   $stmt = $dbh->prepare($sql);
   $stmt->bindValue(':text', $_POST['text'][$i]);
   $stmt->bindValue(':user_id', USER_ID);
   $stmt->bindValue(':post_id', POST_ID);
   $stmt->bindValue(':ID', $_POST['ID'][$i]);
   $stmt->execute();

   if($_FILES['img']['size'][$i] != 0 && isset($_POST['ID'][$i])){
   $sql = "UPDATE img_data SET img=:img WHERE user_id = :user_id AND post_id = :post_id AND ID = :ID";
   $stmt = $dbh->prepare($sql);
   $stmt->bindValue(':img',$imageFileName[$i]);
   $stmt->bindValue(':user_id',USER_ID);
   $stmt->bindValue(':post_id', POST_ID);
   $stmt->bindValue(':ID', $_POST['ID'][$i]);
   $stmt->execute();
   }else{
   $sql = "INSERT INTO img_data (user_id, post_id, text, img) VALUES(:user_id, :post_id, :text, :img)";
   $stmt = $dbh->prepare($sql);
   $stmt->bindValue(':user_id',USER_ID);
   $stmt->bindValue(':post_id', POST_ID);
   $stmt->bindValue(':text',$_POST['text'][$i]);
   $stmt->bindValue(':img', $imageFileName[$i]);
   $stmt->execute();
   }

}

}catch (PDOException $e){
   print('Error:'.$e->getMessage());
   die();
}


header('Location: https://'.$_SERVER['SERVER_NAME'].'/edit.php');
exit;


?>



</body>
</html>
