<?php

$year = $_POST['year'];
$month = $_POST['month'];
$day = $_POST['day'];
$img = $_POST['img'];
$id = $_POST['ID'];

$img_full = "img_full/".$year."/".$month."/".$day."/f".$img;
$img_med = "img_med/".$year."/".$month."/".$day."/m".$img;
$img_thu = "img_thu/".$year."/".$month."/".$day."/t".$img;

if(file_exists($img_full)){
  unlink( "img_full/{$year}/{$month}/{$day}/f{$img}" );
}

if(file_exists($img_med)){
unlink( "img_med/{$year}/{$month}/{$day}/m{$img}" );
}

if(file_exists($img_thu)){
unlink( "img_thu/{$year}/{$month}/{$day}/t{$img}" );
}

define("USER_ID", 1);
define("POST_ID", 1);

require_once("db.php");
$dbh = db_connect();

try{
   $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

   if(file_exists($img_thu)){

   $sql = "DELETE FROM img_data WHERE user_id = :user_id AND post_id = :post_id AND img = :img";
   $stmt = $dbh->prepare($sql);
   $stmt->bindValue(':user_id',USER_ID);
   $stmt->bindValue(':post_id', POST_ID);
   $stmt->bindValue(':img',$img);

   }else{

   $sql = "DELETE FROM img_data WHERE id = :id";
   $stmt = $dbh->prepare($sql);
   $stmt->bindValue(':id',$id);

   }

   $stmt->execute();

}catch (PDOException $e){
   print('Error:'.$e->getMessage());
   die();
}

?>